package test.servlet;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import test.bean.Book;
import test.data.BooksDataAccess;

@WebServlet("/getbook")
public class BookGetServlet extends HttpServlet {

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		//指定されたIDを取得する
		int id = Integer.parseInt(req.getParameter("id"));
		
		try {
			//DAOを生成する
			BooksDataAccess dao = new BooksDataAccess();
			
			//書籍情報を取得する
			Book book = dao.getBook(id);
			
			//取得したBeanをリクエストに保存する
			req.setAttribute("book", book);
			
			//JSPに転送する
			ServletContext context = this.getServletContext();
			context.getRequestDispatcher("/ShowBook.jsp").forward(req, resp);
		}catch(SQLException e) {			
		}catch(Exception e) {			
		}
	}

}
